# homebridge-flux

Homebridge-flux automatically adjusts the color temperature of your smart lights throughout the day to limit blue light closer to night time.

## Installation

1. To install from source, clone the repo

```
git clone ssh://git@thebword.ddns.net:3122/watsonb8/homebridge-flux.git
```

1. Install the repo globally 

```
npm install -g --unsafe-perm .
```

1. Configure and run

## Configuration Example

```
{
       "platform": "Flux",
       "ipAddress": "192.168.1.238",
       "userName": "[redacted]",
       "clientKey": "[redacted]",
       "latitude": 39.103119,
       "longitude": -84.512016,
       "lights": [
         "Play left",
         "Play right",
         "Floor lamp",
         "White floor lamp",
         "End table lamp",
         "Night Stand",
         "Ceiling Light A",
         "Ceiling Light B"
       ],
       "name": "Flux",
       "ceilingColorTemp": 4000,
       "sunsetColorTemp": 1900,
       "floorColorTemp": 1500,
       "sunsetDuration": 1800000,
       "transition": 10000,
       "delay": 30000
     },
```

### Options

- platfrom: "Flux"

- ipAddress: The ip address of your phillips hue bridge

- userName: Automatically filled in by program

- clientKey: Automatically filled in by program

- latitude: Your latitude coordinate for the location of the lights that you would like to control (this is used to find the time of sunset in your location)

- longitude: Your longitude coordinate for the location of the lights that you would like to control (this is used to find the time of sunset in your location).

- lights: An array of light names registered with your hue bridge

- name: The name of the enable switch to appear in your HomeKit appear

- ceilingColorTemp: The upper range of color temperatures to start with. This will be the color temperature at the before of the sunset

- sunsetColorTemp: The middle range of color temperatures to use. This will be the color temperature during sunset

- floorColorTemp: The lower range of color temperatures to end with. This will be the color temperature at the end of sunset

- sunsetDuration: The total time of the sunset. Setting this to a longer period will lengthen or shorten the time between ceiling and floor color temperatures

- transition: The time in ms to transition from one color temperature to the next

- delay: The time in ms between color transitions